Skip to main content
GET
/
consumers
/
{consumer_id}
/
banks
/
{bank_mapper}
/
accounts
/
{account_external_id}
Get the bank account details
curl --request GET \
  --url https://api.example.com/consumers/{consumer_id}/banks/{bank_mapper}/accounts/{account_external_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/consumers/{consumer_id}/banks/{bank_mapper}/accounts/{account_external_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/consumers/{consumer_id}/banks/{bank_mapper}/accounts/{account_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_id": "<string>",
  "bic": "<string>",
  "type": "<string>",
  "iban": "<string>",
  "name": "<string>"
}
{
"message": "Bad Request"
}
{
"message": "Missing or invalid Authorization Header."
}
{
"message": "You don’t have permission to access this resource."
}
{
"message": "Resource Not Found"
}
{
"message": "Conflict error"
}
{
"message": "Internal Server Error"
}

Authorizations

Authorization
string
header
required

Enter your "Injector" API Key

See Authentication section for more information

Path Parameters

bank_mapper
string
required

Unique identifier of the bank.

account_external_id
string
required

Unique ID of the bank account that you have registered when the bank account was created.

consumer_id
string
required

Unique ID of the consumer that you have registered when the user was onboarded.

Required string length: 2 - 100

Response

Successful Response

id
string<uuid>
required

UUID of the bank account

external_id
string | null
required

Unique identifier for the resource on your system

bic
string | null
required
currency
enum<string>
required

ISO 4217 currency code (alpha-3 or numeric)

Available options:
AED,
AFN,
ALL,
AMD,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLE,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UYW,
UZS,
VED,
VES,
VND,
VUV,
WST,
XAD,
XAF,
XCD,
XCG,
XOF,
XPF,
XSU,
XUA,
YER,
ZAR,
ZMW,
ZWG
Required string length: 3
Examples:

"EUR"

"978"

type
string | null
required
iban
string | null
required
name
string | null